PPHP是英文超级文本预处理语言(PHP:Hypertext Preprocessor)的递归缩写。是一种开放源代码,流行的通用脚本语言,被广泛使用,最适合开发网站和基于Web的应用程序。它是一种服务器端脚本语言,特别适用于网络开发并可嵌入HTML 中。

目前,有三种受支持版本的PHP,即PHP 5.6,7.0,和8.0。含义PHP 5.3,5.4,和5.5都达到了生命的尽头; 安全更新不再支持它们。

在本文中,我们将说明如何使用Ondřej Surý PPA在Ubuntu和它的派生版本中为Apache和Nginx Web服务器安装请求最多的PHP扩展的所有受支持版本的PHP。我们还将说明如何设置在Ubuntu系统上使用的PHP的默认版本。

请注意,PHP 7.x是Ubuntu软件存储库中受支持的稳定版本,您可以通过运行以下apt命令进行确认。

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt show php

或者

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt show php -a

要从Ubuntu软件库安装默认的PHP版本,请使用下面的命令。

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt install php

在Ubuntu上使用PPA安装 PHP (5.6, 7.x, 8.0) 

1、首先添加Ondřej SurýPPA,在Ubuntu系统上安装不同版本的PHP – PHP 5.6、PHP 7.x和PHP 8.0。

linuxmi@linuxmi:~/www.linuxmi.com$ sudo apt install python-software-properties

linuxmi@linuxmi:~/www.linuxmi.com$ sudo add-apt-repository ppa:ondrej/php

2.接下来,如下更新系统。

[linuxmi@linux:~/www.linuxmi.com]$ sudo apt-get update

3.现在,如下安装不同支持的PHP版本。

对于Apache Web服务器

[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php5.6 [PHP 5.6]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.0 [PHP 7.0]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.1 [PHP 7.1]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.2 [PHP 7.2]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3 [PHP 7.3]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.4 [PHP 7.4]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php8.0 [PHP 8.0]

对于Nginx Web服务器

[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php5.6-fpm [PHP 5.6]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.0-fpm [PHP 7.0]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.1-fpm [PHP 7.1]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.2-fpm [PHP 7.2]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3-fpm [PHP 7.3]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.4-fpm [PHP 7.4]
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php8.0-fpm [PHP 8.0]

4.要安装任何PHP模块,只需指定PHP版本并使用自动完成功能即可查看所有模块,如下所示。

———— 按Tab键自动完成 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php5.6
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.0
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.1
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.2
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.4
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php8.0

5.现在,您可以从列表中安装大多数必需的PHP模块。

———— 安装 PHP 模块 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php5.6-cli php5.6-xml php5.6-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.0-cli php7.0-xml php7.0-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.1-cli php7.1-xml php7.1-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.2-cli php7.2-xml php7.2-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3-cli php7.3-xml php7.3-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3-cli php7.4-xml php7.4-mysql
[linuxmi@linux:~/www.linuxmi.com]$ sudo apt install php7.3-cli php8.0-xml php8.0-mysql

6. 最后,验证系统上使用的默认PHP版本,如下所示。

[linuxmi@linux:~/www.linuxmi.com]$ php -v

在Ubuntu中设置默认PHP版本

7. 您可以使用update-alternatives命令设置系统上使用的默认PHP版本,设置后,检查PHP版本以确认,如下。

———— 设置默认PHP版本5.6 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php5.6

———— 设置默认PHP版本7.0 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.0

———— 设置默认PHP版本 7.1 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.1

———— 设置默认PHP版本 8.0 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php8.0

8. 要设置与Apache web服务器一起工作的PHP版本,请使用下面的命令。首先,使用a2dismod命令禁用当前版本,然后使用a2enmod命令启用您想要的版本。

———– 禁用PHP版本 ———–
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php5.6
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php7.0
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php7.1
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php7.2
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php7.3
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php7.4
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2dismod php8.0

———– 启用PHP版本 ———–
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php5.6
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php7.1
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php7.2
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php7.3
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php7.4
[linuxmi@linux:~/www.linuxmi.com]$ sudo a2enmod php8.0

———– 重新启动Apache服务器 ———–
[linuxmi@linux:~/www.linuxmi.com]$ sudo systemctl restart apache2

9. 在从一个版本切换到另一个版本之后,您可以通过运行下面的命令找到您的PHP配置文件。

———— For PHP 5.6 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php5.6
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 7.0 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.0
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 7.1 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.1
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 7.2 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.2
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 7.3 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.3
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 7.4 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php7.4
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

———— For PHP 8.0 ————
[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –set php /usr/bin/php8.0
[linuxmi@linux:~/www.linuxmi.com]$ php -i | grep “Loaded Configuration File”

你可以运行以下命令来设置默认情况下要使用的全局 PHP 版本。

[linuxmi@linux:~/www.linuxmi.com]$ sudo update-alternatives –config php

输入选择的号码将其设置为默认版本,或者只需按回车键保持当前选择。

如果你已安装其他 PHP 扩展,请将它们设置为默认值。

在本文中,我们展示了如何在Ubuntu及其派生版本中安装所有受支持的PHP版本。如果你有任何疑问或想法想要分享,请通过下面的评论给我们留言,谢谢。

除非注明,否则均为Linux迷原创文章,转载必须以链接形式标明本文链接

本文链接:https://www.linuxmi.com/ubuntu-php-5-6-7-x-8-0.html

发表评论